diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/test/wifi-ru-allocation-test.cc ns-3.44/src/wifi/test/wifi-ru-allocation-test.cc
--- ns-3.43/src/wifi/test/wifi-ru-allocation-test.cc	2024-10-09 16:41:10.140657000 -0700
+++ ns-3.44/src/wifi/test/wifi-ru-allocation-test.cc	2025-03-09 16:55:49.811372800 -0700
@@ -14,10 +14,10 @@
 NS_LOG_COMPONENT_DEFINE("WifiRuAllocationTest");
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Test the WifiPhyOperatingChannel::Get20MHzIndicesCoveringRu() method.
+ * @brief Test the WifiPhyOperatingChannel::Get20MHzIndicesCoveringRu() method.
  */
 class Wifi20MHzIndicesCoveringRuTest : public TestCase
 {
@@ -32,9 +32,9 @@
      * Check that the indices of the 20 MHz channels covering the given RU as computed
      * by WifiPhyOperatingChannel::Get20MHzIndicesCoveringRu() are correct.
      *
-     * \param primary20 the index of the primary20 channel to configure
-     * \param ru the given RU
-     * \param width the width of the channel to which the given RU refers to; normally, it is the
+     * @param primary20 the index of the primary20 channel to configure
+     * @param ru the given RU
+     * @param width the width of the channel to which the given RU refers to; normally, it is the
      * width of the PPDU for which the RU is allocated \param indices the expected indices
      */
     void RunOne(uint8_t primary20, HeRu::RuSpec ru, MHz_u width, const std::set<uint8_t>& indices);
@@ -84,11 +84,11 @@
     /******************
      * 20 MHz channel *
      ******************/
-    m_channel.SetDefault(20, WIFI_STANDARD_80211ax, WIFI_PHY_BAND_5GHZ);
+    m_channel.SetDefault(MHz_u{20}, WIFI_STANDARD_80211ax, WIFI_PHY_BAND_5GHZ);
 
     /* 20 MHz PPDU */
     {
-        const MHz_u width = 20;
+        const MHz_u width{20};
         const uint8_t p20Index = 0;
 
         // All the 9 26-tone RUs are covered by the unique 20 MHz channel
@@ -113,12 +113,12 @@
     /******************
      * 40 MHz channel *
      ******************/
-    m_channel.SetDefault(40, WIFI_STANDARD_80211ax, WIFI_PHY_BAND_5GHZ);
+    m_channel.SetDefault(MHz_u{40}, WIFI_STANDARD_80211ax, WIFI_PHY_BAND_5GHZ);
 
     /* 20 MHz PPDU */
     for (uint8_t p20Index = 0; p20Index < 2; p20Index++)
     {
-        const MHz_u width = 20;
+        const MHz_u width{20};
 
         // All the 9 26-tone RUs are covered by the primary 20 MHz channel
         for (std::size_t idx = 1; idx <= 9; idx++)
@@ -142,7 +142,7 @@
     /* 40 MHz PPDU */
     for (uint8_t p20Index = 0; p20Index < 2; p20Index++)
     {
-        const MHz_u width = 40;
+        const MHz_u width{40};
 
         // The first 9 26-tone RUs are covered by the first 20 MHz channel
         for (std::size_t idx = 1; idx <= 9; idx++)
@@ -185,12 +185,12 @@
     /******************
      * 80 MHz channel *
      ******************/
-    m_channel.SetDefault(80, WIFI_STANDARD_80211ax, WIFI_PHY_BAND_5GHZ);
+    m_channel.SetDefault(MHz_u{80}, WIFI_STANDARD_80211ax, WIFI_PHY_BAND_5GHZ);
 
     /* 20 MHz PPDU */
     for (uint8_t p20Index = 0; p20Index < 4; p20Index++)
     {
-        const MHz_u width = 20;
+        const MHz_u width{20};
 
         // All the 9 26-tone RUs are covered by the primary 20 MHz channel
         for (std::size_t idx = 1; idx <= 9; idx++)
@@ -214,7 +214,7 @@
     /* 40 MHz PPDU */
     for (uint8_t p20Index = 0; p20Index < 4; p20Index++)
     {
-        const MHz_u width = 40;
+        const MHz_u width{40};
         // PPDU is transmitted on P40, which may be in the lower or higher 40 MHz
         const uint8_t p40Index = p20Index / 2;
         // RUs can be allocated in one (or both) of the two 20 MHz channels in P40
@@ -262,7 +262,7 @@
     /* 80 MHz PPDU */
     for (uint8_t p20Index = 0; p20Index < 4; p20Index++)
     {
-        const MHz_u width = 80;
+        const MHz_u width{80};
 
         // The first 9 26-tone RUs are in the first 20 MHz channel
         for (std::size_t idx = 1; idx <= 9; idx++)
@@ -345,12 +345,12 @@
     /******************
      * 160 MHz channel *
      ******************/
-    m_channel.SetDefault(160, WIFI_STANDARD_80211ax, WIFI_PHY_BAND_5GHZ);
+    m_channel.SetDefault(MHz_u{160}, WIFI_STANDARD_80211ax, WIFI_PHY_BAND_5GHZ);
 
     /* 20 MHz PPDU */
     for (uint8_t p20Index = 0; p20Index < 8; p20Index++)
     {
-        const MHz_u width = 20;
+        const MHz_u width{20};
 
         // All the 9 26-tone RUs are covered by the primary 20 MHz channel
         for (std::size_t idx = 1; idx <= 9; idx++)
@@ -374,7 +374,7 @@
     /* 40 MHz PPDU */
     for (uint8_t p20Index = 0; p20Index < 8; p20Index++)
     {
-        const MHz_u width = 40;
+        const MHz_u width{40};
         // PPDU is transmitted on P40, which is one of the four 40 MHz channels
         const uint8_t p40Index = p20Index / 2;
         // RUs can be allocated in one (or both) of the two 20 MHz channels in P40
@@ -422,7 +422,7 @@
     /* 80 MHz PPDU */
     for (uint8_t p20Index = 0; p20Index < 8; p20Index++)
     {
-        const MHz_u width = 80;
+        const MHz_u width{80};
         // PPDU is transmitted on P80, which is one of the two 80 MHz channels
         const uint8_t p80Index = p20Index / 4;
         // RUs can be allocated in one (or more) of the four 20 MHz channels in P80
@@ -515,7 +515,7 @@
     /* 160 MHz PPDU */
     for (uint8_t p20Index = 0; p20Index < 8; p20Index++)
     {
-        const MHz_u width = 160;
+        const MHz_u width{160};
 
         for (auto primary80MHz : {true, false})
         {
@@ -661,10 +661,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief wifi primary channels test suite
+ * @brief wifi primary channels test suite
  */
 class WifiRuAllocationTestSuite : public TestSuite
 {
